NetXMS Support Forum

Please login or register.

Login with username, password and session length

Author Topic: error installing agent on Centos 7  (Read 559 times)

ZacHow

  • Newbie
  • *
  • Posts: 16
    • View Profile
error installing agent on Centos 7
« on: September 11, 2018, 02:49:23 pm »

Hi,

Everything is pretty much summed up in the screenshots. I have libcurl installed and up to date, but NetXMS is saying otherwise!

Please let me know the solution.

Many thanks,

Zac.
Logged

StanHubble

  • Newbie
  • *
  • Posts: 44
    • View Profile
Re: error installing agent on Centos 7
« Reply #1 on: September 11, 2018, 08:08:15 pm »

you probably want:
yum install libcurl-devel
Logged

ZacHow

  • Newbie
  • *
  • Posts: 16
    • View Profile
Re: error installing agent on Centos 7
« Reply #2 on: September 13, 2018, 01:22:26 pm »

you probably want:
yum install libcurl-devel

Thanks, that got me past the 1st error.

now getting this one, what dependency am I missing now?

Is there not a list of them somewhere?
Logged

Tursiops

  • Sr. Member
  • ****
  • Posts: 354
    • View Profile
Re: error installing agent on Centos 7
« Reply #3 on: September 13, 2018, 02:48:01 pm »

Assuming you want to compile with MQTT support, you'll need to install the matching mosquitto-devel package.
https://breadfit.wordpress.com/2015/06/24/installing-mosquitto-under-centos/ might help (it's a guide on installing Mosquitto on CentOS 7, not specifically mentioning the mosquitto-devel package though).
If you don't need MQTT, simply compiling without it should remove the need for mosquitto-devel.
Logged